(*-------------------------------------------------------------------------*)
(*                                                                         *)
(*  Amiga Oberon Library Module: LongRealInOut        Date: 02-Nov-92      *)
(*                                                                         *)
(*    1991 by Fridtjof Siebert                                            *)
(*                                                                         *)
(*-------------------------------------------------------------------------*)

MODULE LongRealInOut;

IMPORT io, rc := LongRealConversions;


(*------  WriteReal:  ------*)


PROCEDURE WriteReal*(r: LONGREAL; v,n: INTEGER; exp: BOOLEAN): BOOLEAN;
(* gibt r mit v Vorkomma und n Nachkommastellen und, wenn exp=TRUE, evt.
   mit Exponent aus. Ergebnis ist TRUE, wenn r in die durch v,n und exp
   vorgegebene Schablone pat. *)

VAR str: ARRAY 256 OF CHAR;

BEGIN
  IF rc.RealToString(r,str,v,n,exp) THEN io.WriteString(str); RETURN TRUE
                                    ELSE                      RETURN FALSE END;

END WriteReal;


(*------  ReadReal:  ------*)


PROCEDURE ReadReal*(VAR r: LONGREAL): BOOLEAN;

VAR str: ARRAY 256 OF CHAR;

BEGIN
  io.ReadString(str);
  RETURN rc.StringToReal(str,r);
END ReadReal;


END LongRealInOut.

