(*-------------------------------------------------------------------------*)
(*                                                                         *)
(*  Amiga Oberon Library Module: Out                  Date: 02-Nov-92      *)
(*                                                                         *)
(*    1992 by Fridtjof Siebert                                            *)
(*                                                                         *)
(*-------------------------------------------------------------------------*)

MODULE Out;

IMPORT io,
       rio := RealInOut;


PROCEDURE Open*;
BEGIN
  io.Clear;
END Open;


PROCEDURE Char*(ch: CHAR);
BEGIN
  io.Write(ch);
END Char;


PROCEDURE Ln*;
BEGIN
  io.WriteLn;
END Ln;


PROCEDURE Int*(i,n: LONGINT);
BEGIN
  io.WriteInt(i,SHORT(n));
END Int;


PROCEDURE Real*(x:REAL; n: INTEGER);
BEGIN
  IF rio.WriteReal(x,1,n-1,TRUE) THEN END;
END Real;


PROCEDURE String*(str: ARRAY OF CHAR);
BEGIN
  io.WriteString(str);
END String;


END Out.

